# QByteArrayMatcher Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QByteArrayMatcher()
- void QByteArrayMatcher(QByteArray pattern)
- void QByteArrayMatcher(QByteArrayMatcher other)
- void QByteArrayMatcher(char pattern, int length)

### Constructor Properties

- prototype: The QByteArrayMatcher prototype object

### Prototype Object Properties

- int indexIn(QByteArray ba, int from)
- QByteArray pattern()
- void setPattern(QByteArray pattern)

### Instance Properties

QByteArrayMatcher objects have no special properties beyond those inherited from the QByteArrayMatcher prototype object.